

.woocommerce-cart .nv-post-cover,
.woocommerce-checkout .nv-post-cover {
    background-image: none !important;
    background-color: transparent !important;
    min-height: 0 !important;
    padding: 20px 0 !important; /* Justera för lagom avstånd */
}

.woocommerce-checkout .nv-content-wrap,
.woocommerce-checkout .wc-block-checkout{
    padding-top: 0 !important;
}

.woocommerce-cart .nv-post-cover .nv-overlay,
.woocommerce-checkout .nv-post-cover .nv-overlay {
    display: none !important;
}

.woocommerce-cart .nv-post-cover .title,
.woocommerce-checkout .nv-post-cover .title {
    color: var(--nv-text-color) !important;
    font-size: 30px !important;
    font-weight: 600 !important;
}

.woocommerce ul.products li.product .button,
.woocommerce ul.products li.product .add_to_cart_button {
    display: inline-block !important;
    visibility: visible !important;
    opacity: 1 !important;
    color: #fff !important;
    padding: 10px 20px !important;
    border-radius: 30px !important;
    margin-top: 15px !important;
}

.woocommerce-loop-product__title {
    min-height: 60px;
}

.wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-address-form label {
    top: 2px !important;
    transform: scale(.72) !important;
    padding-left: 10px;
    opacity: 0.5;
}

.wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-address-form input {
   height: 60px !important;
    padding-left: 16px !important;
    border: 1px solid var(--se-sand) !important;
}

.wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-address-form .wc-blocks-components-select__label {
    top: 2px !important;
    transform: scale(.90) !important;
    padding-left: 5px;
    opacity: 0.5;
}

.wc-block-components-totals-coupon__input label {
    opacity: 0.5;
    font-size: 13px !important;
}
.wc-block-components-totals-coupon__input.is-active label {
    display: none;
}

.wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-address-form .wc-blocks-components-select__select {
    padding: 16px 17px 0 !important;
}

.woocommerce-table__line-item.order_item .woocommerce-table__product-name.product-name a{
    font-size: 20px !important;
    font-weight: bold !important;
}

.woocommerce-table__line-item.order_item .product-quantity {
    font-weight: normal !important;
}

.woocommerce-table--order-details tfoot th,
.woocommerce-table--order-details tfoot td {
    padding: 10px 15px !important;
}

.woocommerce a.added_to_cart {
    border-radius: 30px !important;
    text-align: center;
}

.wc-block-cart-items__row .wc-block-components-product-name {
    font-size: 20px !important;
    font-weight: 600 !important;
}

.wc-block-cart-items__row .wc-block-components-product-metadata__description {
    font-size: 15px !important;
}

.wc-block-cart-items__row .wc-block-components-product-metadata__description,
.wc-block-cart-items__row .wc-block-components-product-metadata__description p {
    font-size: 14px !important;
    padding-bottom: 10px;
}

.wc-block-cart-item__image img {
    width: 120px !important; /* Prova att gå ner lite i storlek för skärpa */
    height: auto !important; /* Detta är nyckeln! */
    object-fit: contain !important;
    border-radius: 8px; /* Valfritt: ger snygga rundade hörn */
}
.wc-block-components-panel__button,
.wc-block-components-totals-item__label{
    font-size: 14px;
}

.wc-block-cart__submit-button,
.wc-block-components-totals-coupon__button{
    background-color: var(--se-green);
    color: white;
    font-weight: bold;
    border-radius: 30px;
}

.wc-block-cart__submit-button:hover,
.wc-block-components-totals-coupon__button:hover {
    background-color: var(--se-green);
    color: white;
}

.wc-block-components-checkout-order-summary__content .wc-block-components-product-price__value {
    font-size: 14px !important;
}

.wc-block-components-checkout-order-summary__content .wc-block-components-product-metadata__description,
.wc-block-components-checkout-order-summary__content .wc-block-components-product-metadata__description p {
    font-size: 13px !important;
}

.wc-block-components-checkout-order-summary__content .wc-block-components-product-name {
    font-size: 16px !important;
    font-weight: 600 !important;
    margin-top: 0px !important;
}

#shipping-country {
    border: 1px solid var(--se-sand) !important;
}

.wc-block-components-radio-control .wc-block-components-radio-control__input:checked::before {
    background: var(--se-green) !important;
}

.wc-block-components-radio-control .wc-block-components-radio-control__input:focus,
.wc-block-components-checkbox .wc-block-components-checkbox__input[type="checkbox"]:focus{
    outline: 1px solid var(--se-sand) !important;
    outline-offset: 0px !important;
}

.wc-block-components-checkout-place-order-button {
    border-radius: 30px;
    min-width: 300px;
}